# Namespace goog.reflect

code »
Show:Public Protected Private

## Global Functions

code »goog.reflect.canAccessProperty ( obj, prop ) ⇒ `boolean`

Check if a property can be accessed without throwing an exception.

Parameters

obj: `Object`
  The owner of the property.
prop: `string`
  The property name.

Returns

Whether the property is accessible. Will also return true if obj is null.

code »goog.reflect.object ( type, object ) ⇒ `Object`

Syntax for object literal casts.

Parameters

type: `!Function`
  Type to cast to.
object: `Object`
  Object literal to cast.

Returns

The object literal.

code »goog.reflect.sinkValue ( )

To assert to the compiler that an operation is needed when it would otherwise be stripped. For example: `// Force a layout goog.reflect.sinkValue(dialog.offsetHeight);`